/*  utility classes  */
.hidden {
	visibility: hidden;
}

.hide {
	display: none;
}

/*  mixins  */
@mixin breakpoint-large {

	@media only screen and (max-width: 60em){

		@content;
	}
}

@mixin breakpoint-medium {

	@media only screen and (max-width: 40em){

		@content;
	}
}

@mixin breakpoint-small {

	@media only screen and (max-width: 30em){

		@content;
	}
}

@mixin keyframes($animation-name){

	@webkit-keyframes #{$animation-name} {
		@content;
	}

	@-moz-keyframes #{$animation-name} {
		@content;
	}

	@-ms-keyframes #{$animation-name} {
		@content;
	}

	@-o-keyframes #{$animation-name} {
		@content;
	}

	@keyframes #{$animation-name} {
		@content;
	}

}

// barmkoderegular, barmkodeinverse
@mixin font($fontName, $fileName){

    @font-face {
        font-family: '#{$fontName}';
        src: url('#{$fileName}-webfont.eot');
        src: url('#{$fileName}-webfont.eot?#iefix') format('embedded-opentype'),
         url('#{$fileName}-webfont.woff2') format('woff2'),
         url('#{$fileName}-webfont.woff') format('woff'),
         url('#{$fileName}-webfont.ttf') format('truetype'),
         url('#{$fileName}-webfont.svg##{$fontName}') format('svg');
        font-weight: normal;
        font-style: normal;
    }
}

@mixin animation($args...){

	-webkit-animation: #{$args};
	-moz-animation: #{$args};
	-ms-animation: #{$args};
	-o-animation: #{$args};
	animation: #{$args};  
}

@mixin animation-delay($args...){

	-webkit-animation-delay: #{$args};
	-moz-animation-delay: #{$args};
	-ms-animation-delay: #{$args};
	-o-animation-delay: #{$args};
	animation-delay: #{$args}; 
}

@mixin transition($args...){

	-webkit-transition: $args;
	-moz-transition: $args;
	-ms-transition: $args;
	-o-transition: $args;
	transition: $args;
}